echo off 
cls
rem  ----  Be sure we have a parameter.
if "%1" == "" goto ImproperUsage 
rem  ----  Be sure we are on the proper drive. 
if not exist install.bat goto ImproperUsage 
rem  ----  Pause for confirmation.
echo ÿ
echo ÿ
echo Ready to install 
echo "The Black Cauldron" 
echo on hard disk %1
pause
rem  ----  Create and/or change to the appropriate subdirectory.
makepath %1\Sierra 
if errorlevel 1 goto CanNotCreateDir 
makepath %1BC 
if errorlevel 1 goto CanNotCreateDir 
rem  ----  Copy the installation file to the hard disk and execute it. 
copy _install.bat %1 
%1_install %1 
goto Exit 
rem  ----  Tell user we couldn't create the proper directory and bail out. 
:CanNotCreateDir 
echo ÿ
echo ÿ
echo Could not create the directory 
echo      %1\Sierra\BC 
echo Installation cancelled. 
goto Exit 
:ImproperUsage 
rem  ----  No parameter or not on the proper drive.
rem  ----  Tell user how to use this program. 
echo ÿ
echo ÿ
echo  To install "The Black Cauldron" on 
echo hard disk C:, make the drive 
echo containing the "The Black Cauldron" 
echo disk your current drive, then type 
echo ÿ
echo      install C: 
echo ÿ
echo  If your hard disk has a drive letter 
echo other than C:, use its letter instead. 
echo ÿ
echo  Be sure to include the ":" 
echo after the letter.
:Exit 
echo ÿ
echo ÿ 
